import { MessageTimeFormat } from '@/utils/date'
import { taskType, taskPriority, taskStatus, ocAccess } from '@/utils'
// 通用方法混入
var commonMethodMixin = {
  filters: {

    // 医院分类
    hosCatFilter(id) {
      const enums = new Map()
      enums.set(1, '综合医院')
      enums.set(2, '专科医院')
      enums.set(3, '教学医院')
      enums.set(4, '诊所')
      return enums.get(id)
    },

    // 医院等级
    hosGradeFilter(code) {
      const enums = {
        1: '一级丙等',
        2: '一级乙等',
        3: '一级甲等',
        4: '二级丙等',
        5: '二级乙等',
        6: '二级甲等',
        7: '三级丙等',
        8: '三级乙等',
        9: '三级甲等',
        10: '三级特等'
      }
      return enums[code]
    },
    taskTypeFilter(val) {
      return taskType(val)
    },
    taskPriorityFilter(val) {
      return taskPriority(val)
    },
    taskStatusFilter(val) {
      return taskStatus(val)
    },
    niceDateFilter(d) {
      return MessageTimeFormat(d)
    },
    accessFilter(val) {
      return ocAccess(val)
    }
  },
  methods: {
    /**
         * 字符串格式化
         * @param {String} string
         * @param {String} flag
         */
    textSplitArray(string, flag = '；') {
      if (string) {
        return string.split(flag)
      }
    },

    filterByCode(items, code) {
      const item = items.filter(item => item.storyCode === code)
      return item ? item[0] : item
    }
  }
}

export default commonMethodMixin
